Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
You are viewing documentation for Polymarket US
Retrieve and filter events
list(params?)
GET /v1/events
retrieve(id)
GET /v1/events/{id}
retrieve_by_slug(slug)
GET /v1/events/slug/{slug}
events = client.events.list({ "limit": 10, "offset": 0, "active": True, "categories": ["sports", "crypto"], }) for event in events["events"]: print(f"{event['title']} - {len(event.get('markets', []))} markets")
limit
offset
active
closed
archived
featured
categories
seriesId
live
ended
id
slug
title
description
category
markets
event = client.events.retrieve(12345) print(f"Title: {event['title']}") print(f"Category: {event['category']}") print(f"Markets: {len(event.get('markets', []))}")
event = client.events.retrieve_by_slug("super-bowl-2025") print(f"Title: {event['title']}") for market in event.get("markets", []): print(f" - {market['title']}: {market['slug']}")
gameId
score
period
participants
events = client.events.list({"live": True, "categories": ["sports"]}) for event in events["events"]: if event.get("live"): score = event.get("score", {}) print(f"{event['title']}: {score}")